Drupal 8 installation error

Drupal 8 installation error

16 posts / 0 new
Last post
info@samlet.be's picture
info
Points: 6
Drupal 8 installation error

I installed acquia devdesktop. I can run drupal 7 and commerce kickstart without any problems but when I try to make a drupal 8 website, I get following error:

Error
The website encountered an unexpected error. Please try again later.
Drupal\Core\Config\UnmetDependenciesException: Configuration objects (automated_cron.settings, block.block.bartik_account_menu, block.block.bartik_branding, block.block.bartik_breadcrumbs, block.block.bartik_content, block.block.bartik_footer, block.block.bartik_help, block.block.bartik_local_actions, block.block.bartik_local_tasks, block.block.bartik_main_menu, block.block.bartik_messages, block.block.bartik_page_title, block.block.bartik_powered, block.block.bartik_search, block.block.bartik_tools, block.block.seven_breadcrumbs, block.block.seven_content, block.block.seven_help, block.block.seven_local_actions, block.block.seven_login, block.block.seven_messages, block.block.seven_page_title, block.block.seven_primary_local_tasks, block.block.seven_secondary_local_tasks, block_content.type.basic, comment.type.comment, contact.form.feedback, core.entity_form_display.block_content.basic.default, core.entity_form_display.comment.comment.default, core.entity_form_display.node.article.default, core.entity_form_display.node.page.default, core.entity_form_display.user.user.default, core.entity_view_display.block_content.basic.default, core.entity_view_display.comment.comment.default, core.entity_view_display.node.article.default, core.entity_view_display.node.article.rss, core.entity_view_display.node.article.teaser, core.entity_view_display.node.page.default, core.entity_view_display.node.page.teaser, core.entity_view_display.user.user.compact, core.entity_view_display.user.user.default, editor.editor.basic_html, editor.editor.full_html, field.field.block_content.basic.body, field.field.comment.comment.comment_body, field.field.node.article.body, field.field.node.article.comment, field.field.node.article.field_image, field.field.node.article.field_tags, field.field.node.page.body, field.field.user.user.user_picture, field.storage.node.comment, field.storage.node.field_image, field.storage.node.field_tags, field.storage.user.user_picture, filter.format.basic_html, filter.format.full_html, filter.format.restricted_html, node.type.article, node.type.page, rdf.mapping.comment.comment, rdf.mapping.node.article, rdf.mapping.node.page, rdf.mapping.taxonomy_term.tags, taxonomy.vocabulary.tags) provided by standard have unmet dependencies in Drupal\Core\Config\UnmetDependenciesException::create() (line 84 of core\lib\Drupal\Core\Config\UnmetDependenciesException.php).

Drupal\Core\Config\UnmetDependenciesException::create('standard', Array) (Line: 460)
Drupal\Core\Config\ConfigInstaller->checkConfigurationToInstall('module', 'standard') (Line: 132)
Drupal\Core\ProxyClass\Config\ConfigInstaller->checkConfigurationToInstall('module', 'standard') (Line: 141)
Drupal\Core\Extension\ModuleInstaller->install(Array, ) (Line: 83)
Drupal\Core\ProxyClass\Extension\ModuleInstaller->install(Array, ) (Line: 1555)
install_install_profile(Array) (Line: 660)
install_run_task(Array, Array) (Line: 538)
install_run_tasks(Array) (Line: 115)
install_drupal(Object) (Line: 44)

I'm pretty new to drupal so I no idea where to start on solving this error. I can't find the right information in any other forum topic either. Please help.

Thanks in advance

Status: 
Unresolved
dmyburgh's picture
david.myburgh
Points: 99

I'm not really sure what the issue is either, but there are a couple things to check. First, make sure you're running the latest DevDesktop (should show Sep 5, 2016 build). Second, what version of D8 are you installing? From the + symbol in DD you should see the latest D8 listed there (8.2.1 is the latest one currently).

info@samlet.be's picture
info
Points: 6

Hi

Already thanks for your help.

The curent DevDesktop version is the one build Sep 5, 2016.
The Drupal version I'm using is the 8.2.1 version.
So that's not the problem.

Any other thoughts or ideas? :)

dmyburgh's picture
david.myburgh
Points: 99

I'll do a test install locally of that and see what happens. What PHP version are you using?

dmyburgh's picture
david.myburgh
Points: 99

Installed fine for me locally, using PHP 5.6. I'm on Mac 10.11.6. Have you tried installing a new copy of D8?

info@samlet.be's picture
info
Points: 6

I used php version 5.5.33 as well as 5.6.and even 7.0.6.
I get the same error everytime.
I'm on a windows 10.. (I'll be buying a mac in the future)
My brother tried the same settings as I have on his pc without encountering the error..

I installed a new copy of D8 everytime is changed the php version so..

I'm wondering if it could be that some settings on my laptop or software is causing this error.
I'm even considering making a back up of all my files on my computer and put my pc back to factory settings..
It's gonna take a lot of time installing all the software that's on it right now so i'd rather avoid it if possible.

I already want to thank you for trying to help me.

dmyburgh's picture
david.myburgh
Points: 99

Yeah, it must be something specific in your setup. I wish we could track it down in case other people have the same issue.

Instead of wiping your system, you can install Virtualbox and run DevDesktop in that (I do that on my Mac to test in a Windows environment). That would be a good test to see if its software or hardware in your system that is the culprit.

info@samlet.be's picture
info
Points: 6

Hi

As suggested I tried it on a virtual box (used Windows 7 this time) and the same issue occured, which is kinda worrying me.. :D
Any suggestions on what to do next?

dmyburgh's picture
david.myburgh
Points: 99

Oh dear, that sounds like a hardware conflict for some bizarre reason. Not sure how that can even happen, so maybe I'm way off. Hmmm, how about your antivirus software - maybe that's doing something during install?

info@samlet.be's picture
info
Points: 6

my pc broke down today
thank god i just made a back up
so this issue kinda solved itself for now XD
thanks for the help

Status Change: 
Resolved
info@samlet.be's picture
info
Points: 6

I have no idea why but i just encountered the same error on my gfs laptop Oo
how is that even possible

Status Change: 
Unresolved
dmyburgh's picture
david.myburgh
Points: 99

Man, that sucks! Are you able to see what version of Windows 10 are you using? What brand and model laptop is it?

maarten.de.block@entityone.be's picture
maarten.de.block
Points: 0

I have the same error on Windows 10 Home. But only when installing in another language (tested Dutch and Spanish). English works fine.

Edit: updated to latest version af Dev Destkop, not even English is working at the moment.

maarten.de.block@entityone.be's picture
maarten.de.block
Points: 0

Found a workaround.

Instead using "New Drupal site", download Drupal straight from Drupal.org and use "Import local Drupal site" in Dev Desktop. Choose "Create a new database".

The bug is also on Mac BTW. I've tested it with a colleague.

dmyburgh's picture
david.myburgh
Points: 99

Maarten, thanks for that workaround. At least there's a way around this odd issue. I still haven't been able to reproduce it myself, though, which is making it hard to figure out what's causing this.

kaneko@zerobase.jp's picture
kaneko
Points: 5

This bug is caused by core modification. Specifically, the reason is that the minimal profile has been deleted.

curl -O https://dev.acquia.com/sites/default/files/downloads/drupal/drupal-8.2.4... dl drupal

diff -qr ./diff/drupal-8.2.4 ./diff/acquia_drupal-8.2.4
Only in ./diff/drupal-8.2.4/core/profiles: minimal